<?php
/**
 * The Header Right widget areas.
 *
 * @package Catch Themes
 * @subpackage Adventurous
 * @since Adventurous 1.0
 */
?>
<?php 
/** 
 * adventurous_before_header_right hook
 */
do_action( 'adventurous_before_header_right' ); ?> 
<?php 
$options = adventurous_get_options();

if ( ! $options['disable_header_right_sidebar'] ) {	

    echo '<div id="header-right" class="header-sidebar widget-area">';
	
		if ( is_active_sidebar( 'sidebar-header-right' ) ) {
			
        	dynamic_sidebar( 'sidebar-header-right' ); ?>
            
            <?php adventurous_primary_menu(); 
			
			if ( empty( $options['disable_header_right_search'] ) ) { ?>
                <aside class="widget widget_search" id="header-search-widget">
                    <span id="header-search" href="#"></span>
                    <div class="header-search-wrap displaynone">
                        <?php echo get_search_form(); ?>
                    </div>
                </aside>
            <?php    
            }
			
			if ( empty( $options['disable_responsive'] )  && empty( $options['remove_header_menu'] ) ) {
                echo '<div id="header-mobile-menu"><a href="#" class="mobile-nav closed"><span class="mobile-menu-bar"></span></a></div>';
            }
			
		}
		else {
      
			adventurous_primary_menu(); 
			
			if ( empty( $options['disable_header_right_search'] ) ) { ?>
                <aside class="widget widget_search" id="header-search-widget">
                    <span id="header-search" href="#"></span>
                    <div class="header-search-wrap displaynone">
                        <?php echo get_search_form(); ?>
                    </div>
                </aside>
            <?php    
            }
			
           	if ( empty( $options['disable_responsive'] )  && empty( $options['remove_header_menu'] ) ) {
                echo '<div id="header-mobile-menu"><a href="#" class="mobile-nav closed"><span class="mobile-menu-bar"></span></a></div>';
            }
			
		} 
		
    echo '</div><!-- #header-right .widget-area -->'; 
	
}
/** 
 * adventurous_after_header_right hook
 */
do_action( 'adventurous_after_header_right' );