<?php
/**
 * The Footer widget areas.
 *
 * @package Catch Themes
 * @subpackage Catch_Evolution_Pro
 * @since Catch Evolution 1.0
 */

$adventurous_layout = adventurous_get_theme_layout();

if ( 'three-columns' == $adventurous_layout || is_page_template( 'page-three-columns.php' ) || 'three-columns-sidebar' == $adventurous_layout || is_page_template( 'page-three-columns-sidebar.php' ) ) {
	?>
    <div id="third" class="widget-area sidebar-three-columns" role="complementary">
		<?php
		/**
		 * catchevolution_before_third hook
		 */
		do_action( 'adventurous_before_third' );

		if ( is_active_sidebar( 'adventurous_third' ) ) :
			dynamic_sidebar( 'adventurous_third' );
		endif;

		/**
		 * catchevolution_after_third hook
		 */
		do_action( 'adventurous_after_third' ); ?>

    </div><!-- #sidebar-third-column .widget-area -->
<?php
}